diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/pluggable.php ./wordpress-3.3/wp-includes/pluggable.php
*** ./wordpress-3.2.1/wp-includes/pluggable.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/pluggable.php	2011-10-20 10:53:57.000000000 -0500
***************
*** 98,124 ****
   * @since 0.71
   *
   * @param int $user_id User ID
!  * @return bool|object False on failure, User DB row object
   */
  function get_userdata( $user_id ) {
! 	global $wpdb;
! 
! 	if ( ! is_numeric( $user_id ) )
! 		return false;
! 
! 	$user_id = absint( $user_id );
! 	if ( ! $user_id )
! 		return false;
! 
! 	$user = wp_cache_get( $user_id, 'users' );
  
! 	if ( $user )
! 		return $user;
  
! 	if ( ! $user = $wpdb->get_row( $wpdb->prepare( "SELECT * FROM $wpdb->users WHERE ID = %d LIMIT 1", $user_id ) ) )
  		return false;
  
! 	_fill_user( $user );
  
  	return $user;
  }
--- 98,128 ----
   * @since 0.71
   *
   * @param int $user_id User ID
!  * @return bool|object False on failure, WP_User object on success
   */
  function get_userdata( $user_id ) {
! 	return get_user_by( 'id', $user_id );
! }
! endif;
  
! if ( !function_exists('get_user_by') ) :
! /**
!  * Retrieve user info by a given field
!  *
!  * @since 2.8.0
!  *
!  * @param string $field The field to retrieve the user with.  id | slug | email | login
!  * @param int|string $value A value for $field.  A user ID, slug, email address, or login name.
!  * @return bool|object False on failure, WP_User object on success
!  */
! function get_user_by( $field, $value ) {
! 	$userdata = WP_User::get_data_by( $field, $value );
  
! 	if ( !$userdata )
  		return false;
  
! 	$user = new WP_User;
! 	$user->init( $userdata );
  
  	return $user;
  }
***************
*** 130,232 ****
   *
   * @since 3.0.0
   *
!  * @param array $users User ID numbers list
   */
! function cache_users( $users ) {
  	global $wpdb;
  
  	$clean = array();
! 	foreach($users as $id) {
  		$id = (int) $id;
! 		if (wp_cache_get($id, 'users')) {
! 			// seems to be cached already
! 		} else {
  			$clean[] = $id;
  		}
  	}
  
! 	if ( 0 == count($clean) )
  		return;
  
! 	$list = implode(',', $clean);
! 
! 	$results = $wpdb->get_results("SELECT * FROM $wpdb->users WHERE ID IN ($list)");
  
! 	_fill_many_users($results);
! }
! endif;
  
! if ( !function_exists('get_user_by') ) :
! /**
!  * Retrieve user info by a given field
!  *
!  * @since 2.8.0
!  *
!  * @param string $field The field to retrieve the user with.  id | slug | email | login
!  * @param int|string $value A value for $field.  A user ID, slug, email address, or login name.
!  * @return bool|object False on failure, User DB row object
!  */
! function get_user_by($field, $value) {
! 	global $wpdb;
! 
! 	switch ($field) {
! 		case 'id':
! 			return get_userdata($value);
! 			break;
! 		case 'slug':
! 			$user_id = wp_cache_get($value, 'userslugs');
! 			$field = 'user_nicename';
! 			break;
! 		case 'email':
! 			$user_id = wp_cache_get($value, 'useremail');
! 			$field = 'user_email';
! 			break;
! 		case 'login':
! 			$value = sanitize_user( $value );
! 			$user_id = wp_cache_get($value, 'userlogins');
! 			$field = 'user_login';
! 			break;
! 		default:
! 			return false;
  	}
! 
! 	 if ( false !== $user_id )
! 		return get_userdata($user_id);
! 
! 	if ( !$user = $wpdb->get_row( $wpdb->prepare("SELECT * FROM $wpdb->users WHERE $field = %s", $value) ) )
! 		return false;
! 
! 	_fill_user($user);
! 
! 	return $user;
! }
! endif;
! 
! if ( !function_exists('get_userdatabylogin') ) :
! /**
!  * Retrieve user info by login name.
!  *
!  * @since 0.71
!  *
!  * @param string $user_login User's username
!  * @return bool|object False on failure, User DB row object
!  */
! function get_userdatabylogin($user_login) {
! 	return get_user_by('login', $user_login);
! }
! endif;
! 
! if ( !function_exists('get_user_by_email') ) :
! /**
!  * Retrieve user info by email.
!  *
!  * @since 2.5
!  *
!  * @param string $email User's email address
!  * @return bool|object False on failure, User DB row object
!  */
! function get_user_by_email($email) {
! 	return get_user_by('email', $email);
  }
  endif;
  
--- 134,165 ----
   *
   * @since 3.0.0
   *
!  * @param array $user_ids User ID numbers list
   */
! function cache_users( $user_ids ) {
  	global $wpdb;
  
  	$clean = array();
! 	foreach ( $user_ids as $id ) {
  		$id = (int) $id;
! 		if ( !wp_cache_get( $id, 'users' ) ) {
  			$clean[] = $id;
  		}
  	}
  
! 	if ( empty( $clean ) )
  		return;
  
! 	$list = implode( ',', $clean );
  
! 	$users = $wpdb->get_results( "SELECT * FROM $wpdb->users WHERE ID IN ($list)" );
  
! 	$ids = array();
! 	foreach ( $users as $user ) {
! 		update_user_caches( $user );
! 		$ids[] = $user->ID;
  	}
! 	update_meta_cache( 'user', $ids );
  }
  endif;
  
***************
*** 259,265 ****
   * @uses do_action_ref_array() Calls 'phpmailer_init' hook on the reference to
   *		phpmailer object.
   * @uses PHPMailer
-  * @
   *
   * @param string|array $to Array or comma-separated list of email addresses to send message.
   * @param string $subject Email subject
--- 192,197 ----
***************
*** 405,417 ****
  		try {
  			// Break $recipient into name and address parts if in the format "Foo <bar@baz.com>"
  			$recipient_name = '';
! 			if( preg_match( '/(.+)\s?<(.+)>/', $recipient, $matches ) ) {
  				if ( count( $matches ) == 3 ) {
  					$recipient_name = $matches[1];
  					$recipient = $matches[2];
  				}
  			}
! 			$phpmailer->AddAddress( trim( $recipient ), $recipient_name);
  		} catch ( phpmailerException $e ) {
  			continue;
  		}
--- 337,349 ----
  		try {
  			// Break $recipient into name and address parts if in the format "Foo <bar@baz.com>"
  			$recipient_name = '';
! 			if( preg_match( '/(.*)<(.+)>/', $recipient, $matches ) ) {
  				if ( count( $matches ) == 3 ) {
  					$recipient_name = $matches[1];
  					$recipient = $matches[2];
  				}
  			}
! 			$phpmailer->AddAddress( $recipient, $recipient_name);
  		} catch ( phpmailerException $e ) {
  			continue;
  		}
***************
*** 427,439 ****
  			try {
  				// Break $recipient into name and address parts if in the format "Foo <bar@baz.com>"
  				$recipient_name = '';
! 				if( preg_match( '/(.+)\s?<(.+)>/', $recipient, $matches ) ) {
  					if ( count( $matches ) == 3 ) {
  						$recipient_name = $matches[1];
  						$recipient = $matches[2];
  					}
  				}
! 				$phpmailer->AddCc( trim($recipient), $recipient_name );
  			} catch ( phpmailerException $e ) {
  				continue;
  			}
--- 359,371 ----
  			try {
  				// Break $recipient into name and address parts if in the format "Foo <bar@baz.com>"
  				$recipient_name = '';
! 				if( preg_match( '/(.*)<(.+)>/', $recipient, $matches ) ) {
  					if ( count( $matches ) == 3 ) {
  						$recipient_name = $matches[1];
  						$recipient = $matches[2];
  					}
  				}
! 				$phpmailer->AddCc( $recipient, $recipient_name );
  			} catch ( phpmailerException $e ) {
  				continue;
  			}
***************
*** 445,457 ****
  			try {
  				// Break $recipient into name and address parts if in the format "Foo <bar@baz.com>"
  				$recipient_name = '';
! 				if( preg_match( '/(.+)\s?<(.+)>/', $recipient, $matches ) ) {
  					if ( count( $matches ) == 3 ) {
  						$recipient_name = $matches[1];
  						$recipient = $matches[2];
  					}
  				}
! 				$phpmailer->AddBcc( trim($recipient), $recipient_name );
  			} catch ( phpmailerException $e ) {
  				continue;
  			}
--- 377,389 ----
  			try {
  				// Break $recipient into name and address parts if in the format "Foo <bar@baz.com>"
  				$recipient_name = '';
! 				if( preg_match( '/(.*)<(.+)>/', $recipient, $matches ) ) {
  					if ( count( $matches ) == 3 ) {
  						$recipient_name = $matches[1];
  						$recipient = $matches[2];
  					}
  				}
! 				$phpmailer->AddBcc( $recipient, $recipient_name );
  			} catch ( phpmailerException $e ) {
  				continue;
  			}
***************
*** 594,600 ****
  		return false;
  	}
  
! 	$user = get_userdatabylogin($username);
  	if ( ! $user ) {
  		do_action('auth_cookie_bad_username', $cookie_elements);
  		return false;
--- 526,532 ----
  		return false;
  	}
  
! 	$user = get_user_by('login', $username);
  	if ( ! $user ) {
  		do_action('auth_cookie_bad_username', $cookie_elements);
  		return false;
***************
*** 783,789 ****
  function is_user_logged_in() {
  	$user = wp_get_current_user();
  
! 	if ( $user->id == 0 )
  		return false;
  
  	return true;
--- 715,721 ----
  function is_user_logged_in() {
  	$user = wp_get_current_user();
  
! 	if ( empty( $user->ID ) )
  		return false;
  
  	return true;
***************
*** 1153,1159 ****
  	$comment = get_comment($comment_id);
  	$post = get_post($comment->comment_post_ID);
  	$user = get_userdata( $post->post_author );
! 	// Send to the administation and to the post author if the author can modify the comment.
  	$email_to = array( get_option('admin_email') );
  	if ( user_can($user->ID, 'edit_comment', $comment_id) && !empty($user->user_email) && ( get_option('admin_email') != $user->user_email) )
  		$email_to[] = $user->user_email;
--- 1085,1091 ----
  	$comment = get_comment($comment_id);
  	$post = get_post($comment->comment_post_ID);
  	$user = get_userdata( $post->post_author );
! 	// Send to the administration and to the post author if the author can modify the comment.
  	$email_to = array( get_option('admin_email') );
  	if ( user_can($user->ID, 'edit_comment', $comment_id) && !empty($user->user_email) && ( get_option('admin_email') != $user->user_email) )
  		$email_to[] = $user->user_email;
***************
*** 1308,1314 ****
   */
  function wp_verify_nonce($nonce, $action = -1) {
  	$user = wp_get_current_user();
! 	$uid = (int) $user->id;
  
  	$i = wp_nonce_tick();
  
--- 1240,1246 ----
   */
  function wp_verify_nonce($nonce, $action = -1) {
  	$user = wp_get_current_user();
! 	$uid = (int) $user->ID;
  
  	$i = wp_nonce_tick();
  
***************
*** 1334,1340 ****
   */
  function wp_create_nonce($action = -1) {
  	$user = wp_get_current_user();
! 	$uid = (int) $user->id;
  
  	$i = wp_nonce_tick();
  
--- 1266,1272 ----
   */
  function wp_create_nonce($action = -1) {
  	$user = wp_get_current_user();
! 	$uid = (int) $user->ID;
  
  	$i = wp_nonce_tick();
  
***************
*** 1499,1505 ****
   *
   * Maintains compatibility between old version and the new cookie authentication
   * protocol using PHPass library. The $hash parameter is the encrypted password
!  * and the function compares the plain text password when encypted similarly
   * against the already encrypted password to see if they match.
   *
   * For integration with other applications, this function can be overwritten to
--- 1431,1437 ----
   *
   * Maintains compatibility between old version and the new cookie authentication
   * protocol using PHPass library. The $hash parameter is the encrypted password
!  * and the function compares the plain text password when encrypted similarly
   * against the already encrypted password to see if they match.
   *
   * For integration with other applications, this function can be overwritten to
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/plugin.php ./wordpress-3.3/wp-includes/plugin.php
*** ./wordpress-3.2.1/wp-includes/plugin.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/plugin.php	2011-11-21 09:43:57.000000000 -0600
***************
*** 251,257 ****
   * @param string $tag The filter hook to which the function to be removed is hooked.
   * @param callback $function_to_remove The name of the function which should be removed.
   * @param int $priority optional. The priority of the function (default: 10).
!  * @param int $accepted_args optional. The number of arguments the function accpets (default: 1).
   * @return boolean Whether the function existed before it was removed.
   */
  function remove_filter($tag, $function_to_remove, $priority = 10, $accepted_args = 1) {
--- 251,257 ----
   * @param string $tag The filter hook to which the function to be removed is hooked.
   * @param callback $function_to_remove The name of the function which should be removed.
   * @param int $priority optional. The priority of the function (default: 10).
!  * @param int $accepted_args optional. The number of arguments the function accepts (default: 1).
   * @return boolean Whether the function existed before it was removed.
   */
  function remove_filter($tag, $function_to_remove, $priority = 10, $accepted_args = 1) {
***************
*** 410,416 ****
  }
  
  /**
!  * Retrieve the number times an action is fired.
   *
   * @package WordPress
   * @subpackage Plugin
--- 410,416 ----
  }
  
  /**
!  * Retrieve the number of times an action is fired.
   *
   * @package WordPress
   * @subpackage Plugin
***************
*** 520,526 ****
   * @param string $tag The action hook to which the function to be removed is hooked.
   * @param callback $function_to_remove The name of the function which should be removed.
   * @param int $priority optional The priority of the function (default: 10).
!  * @param int $accepted_args optional. The number of arguments the function accpets (default: 1).
   * @return boolean Whether the function is removed.
   */
  function remove_action($tag, $function_to_remove, $priority = 10, $accepted_args = 1) {
--- 520,526 ----
   * @param string $tag The action hook to which the function to be removed is hooked.
   * @param callback $function_to_remove The name of the function which should be removed.
   * @param int $priority optional The priority of the function (default: 10).
!  * @param int $accepted_args optional. The number of arguments the function accepts (default: 1).
   * @return boolean Whether the function is removed.
   */
  function remove_action($tag, $function_to_remove, $priority = 10, $accepted_args = 1) {
***************
*** 745,751 ****
   * @param string $tag Used in counting how many hooks were applied
   * @param callback $function Used for creating unique id
   * @param int|bool $priority Used in counting how many hooks were applied.  If === false and $function is an object reference, we return the unique id only if it already has one, false otherwise.
!  * @return string|bool Unique ID for usage as array key or false if $priority === false and $function is an object reference, and it does not already have a uniqe id.
   */
  function _wp_filter_build_unique_id($tag, $function, $priority) {
  	global $wp_filter;
--- 745,751 ----
   * @param string $tag Used in counting how many hooks were applied
   * @param callback $function Used for creating unique id
   * @param int|bool $priority Used in counting how many hooks were applied.  If === false and $function is an object reference, we return the unique id only if it already has one, false otherwise.
!  * @return string|bool Unique ID for usage as array key or false if $priority === false and $function is an object reference, and it does not already have a unique id.
   */
  function _wp_filter_build_unique_id($tag, $function, $priority) {
  	global $wp_filter;
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/pomo/entry.php ./wordpress-3.3/wp-includes/pomo/entry.php
*** ./wordpress-3.2.1/wp-includes/pomo/entry.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/pomo/entry.php	2011-08-10 23:29:35.000000000 -0500
***************
*** 2,8 ****
  /**
   * Contains Translation_Entry class
   *
!  * @version $Id: entry.php 406 2010-02-07 11:10:24Z nbachiyski $
   * @package pomo
   * @subpackage entry
   */
--- 2,8 ----
  /**
   * Contains Translation_Entry class
   *
!  * @version $Id: entry.php 621 2011-06-13 12:21:50Z nbachiyski $
   * @package pomo
   * @subpackage entry
   */
***************
*** 65,69 ****
--- 65,78 ----
  		// prepend context and EOT, like in MO files
  		return is_null($this->context)? $this->singular : $this->context.chr(4).$this->singular;
  	}
+ 	
+ 	function merge_with(&$other) {
+ 		$this->flags = array_unique( array_merge( $this->flags, $other->flags ) );
+ 		$this->references = array_unique( array_merge( $this->references, $other->references ) );
+ 		if ( $this->extracted_comments != $other->extracted_comments ) {
+ 			$this->extracted_comments .= $other->extracted_comments;
+ 		}
+ 		
+ 	}
  }
  endif;
\ No newline at end of file
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/pomo/mo.php ./wordpress-3.3/wp-includes/pomo/mo.php
*** ./wordpress-3.2.1/wp-includes/pomo/mo.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/pomo/mo.php	2011-10-27 15:00:09.000000000 -0500
***************
*** 2,8 ****
  /**
   * Class for working with MO files
   *
!  * @version $Id: mo.php 406 2010-02-07 11:10:24Z nbachiyski $
   * @package pomo
   * @subpackage mo
   */
--- 2,8 ----
  /**
   * Class for working with MO files
   *
!  * @version $Id: mo.php 602 2011-01-30 12:43:29Z nbachiyski $
   * @package pomo
   * @subpackage mo
   */
***************
*** 30,35 ****
--- 30,49 ----
  	function export_to_file($filename) {
  		$fh = fopen($filename, 'wb');
  		if ( !$fh ) return false;
+ 		$res = $this->export_to_file_handle( $fh );
+ 		fclose($fh);
+ 		return $res;
+ 	}
+ 	
+ 	function export() {
+ 		$tmp_fh = fopen("php://temp", 'r+');
+ 		if ( !$tmp_fh ) return false;
+ 		$this->export_to_file_handle( $tmp_fh );
+ 		rewind( $tmp_fh );
+ 		return stream_get_contents( $tmp_fh );
+ 	}
+ 	
+ 	function export_to_file_handle($fh) {
  		$entries = array_filter($this->entries, create_function('$e', 'return !empty($e->translations);'));
  		ksort($entries);
  		$magic = 0x950412de;
***************
*** 43,49 ****
  		fwrite($fh, pack('V*', $magic, $revision, $total, $originals_lenghts_addr,
  			$translations_lenghts_addr, $size_of_hash, $hash_addr));
  		fseek($fh, $originals_lenghts_addr);
! 
  		// headers' msgid is an empty string
  		fwrite($fh, pack('VV', 0, $current_addr));
  		$current_addr++;
--- 57,63 ----
  		fwrite($fh, pack('V*', $magic, $revision, $total, $originals_lenghts_addr,
  			$translations_lenghts_addr, $size_of_hash, $hash_addr));
  		fseek($fh, $originals_lenghts_addr);
! 		
  		// headers' msgid is an empty string
  		fwrite($fh, pack('VV', 0, $current_addr));
  		$current_addr++;
***************
*** 55,78 ****
  			fwrite($fh, pack('VV', $length, $current_addr));
  			$current_addr += $length + 1; // account for the NULL byte after
  		}
! 
  		$exported_headers = $this->export_headers();
  		fwrite($fh, pack('VV', strlen($exported_headers), $current_addr));
  		$current_addr += strlen($exported_headers) + 1;
  		$translations_table = $exported_headers . chr(0);
! 
  		foreach($entries as $entry) {
  			$translations_table .= $this->export_translations($entry) . chr(0);
  			$length = strlen($this->export_translations($entry));
  			fwrite($fh, pack('VV', $length, $current_addr));
  			$current_addr += $length + 1;
  		}
! 
  		fwrite($fh, $originals_table);
  		fwrite($fh, $translations_table);
! 		fclose($fh);
  	}
! 
  	function export_original($entry) {
  		//TODO: warnings for control characters
  		$exported = $entry->singular;
--- 69,92 ----
  			fwrite($fh, pack('VV', $length, $current_addr));
  			$current_addr += $length + 1; // account for the NULL byte after
  		}
! 		
  		$exported_headers = $this->export_headers();
  		fwrite($fh, pack('VV', strlen($exported_headers), $current_addr));
  		$current_addr += strlen($exported_headers) + 1;
  		$translations_table = $exported_headers . chr(0);
! 		
  		foreach($entries as $entry) {
  			$translations_table .= $this->export_translations($entry) . chr(0);
  			$length = strlen($this->export_translations($entry));
  			fwrite($fh, pack('VV', $length, $current_addr));
  			$current_addr += $length + 1;
  		}
! 		
  		fwrite($fh, $originals_table);
  		fwrite($fh, $translations_table);
! 		return true;
  	}
! 	
  	function export_original($entry) {
  		//TODO: warnings for control characters
  		$exported = $entry->singular;
***************
*** 80,91 ****
  		if (!is_null($entry->context)) $exported = $entry->context . chr(4) . $exported;
  		return $exported;
  	}
! 
  	function export_translations($entry) {
  		//TODO: warnings for control characters
  		return implode(chr(0), $entry->translations);
  	}
! 
  	function export_headers() {
  		$exported = '';
  		foreach($this->headers as $header => $value) {
--- 94,105 ----
  		if (!is_null($entry->context)) $exported = $entry->context . chr(4) . $exported;
  		return $exported;
  	}
! 	
  	function export_translations($entry) {
  		//TODO: warnings for control characters
  		return implode(chr(0), $entry->translations);
  	}
! 	
  	function export_headers() {
  		$exported = '';
  		foreach($this->headers as $header => $value) {
***************
*** 181,187 ****
  			$translation = $reader->substr( $strings, $t['pos'], $t['length'] );
  
  			if ('' === $original) {
! 				$this->set_headers($this->make_headers($translation));
  			} else {
  				$entry = &$this->make_entry($original, $translation);
  				$this->entries[$entry->key()] = &$entry;
--- 195,202 ----
  			$translation = $reader->substr( $strings, $t['pos'], $t['length'] );
  
  			if ('' === $original) {
! 				$headers = $this->make_headers($translation);
! 				$this->set_headers($headers);
  			} else {
  				$entry = &$this->make_entry($original, $translation);
  				$this->entries[$entry->key()] = &$entry;
***************
*** 193,199 ****
  	/**
  	 * Build a Translation_Entry from original string and translation strings,
  	 * found in a MO file
! 	 *
  	 * @static
  	 * @param string $original original string to translate from MO file. Might contain
  	 * 	0x04 as context separator or 0x00 as singular/plural separator
--- 208,214 ----
  	/**
  	 * Build a Translation_Entry from original string and translation strings,
  	 * found in a MO file
! 	 * 
  	 * @static
  	 * @param string $original original string to translate from MO file. Might contain
  	 * 	0x04 as context separator or 0x00 as singular/plural separator
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/pomo/po.php ./wordpress-3.3/wp-includes/pomo/po.php
*** ./wordpress-3.2.1/wp-includes/pomo/po.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/pomo/po.php	2011-08-10 23:29:35.000000000 -0500
***************
*** 2,8 ****
  /**
   * Class for working with PO files
   *
!  * @version $Id: po.php 406 2010-02-07 11:10:24Z nbachiyski $
   * @package pomo
   * @subpackage po
   */
--- 2,8 ----
  /**
   * Class for working with PO files
   *
!  * @version $Id: po.php 589 2010-12-18 01:40:57Z nbachiyski $
   * @package pomo
   * @subpackage po
   */
***************
*** 18,24 ****
   */
  if ( !class_exists( 'PO' ) ):
  class PO extends Gettext_Translations {
! 
  
  	/**
  	 * Exports headers to a PO entry
--- 18,25 ----
   */
  if ( !class_exists( 'PO' ) ):
  class PO extends Gettext_Translations {
! 	
! 	var $comments_before_headers = '';
  
  	/**
  	 * Exports headers to a PO entry
***************
*** 31,37 ****
  			$header_string.= "$header: $value\n";
  		}
  		$poified = PO::poify($header_string);
! 		return rtrim("msgid \"\"\nmsgstr $poified");
  	}
  
  	/**
--- 32,42 ----
  			$header_string.= "$header: $value\n";
  		}
  		$poified = PO::poify($header_string);
! 		if ($this->comments_before_headers)
! 			$before_headers = $this->prepend_each_line(rtrim($this->comments_before_headers)."\n", '# ');
! 		else
! 			$before_headers = '';
! 		return rtrim("{$before_headers}msgid \"\"\nmsgstr $poified");
  	}
  
  	/**
***************
*** 75,80 ****
--- 80,94 ----
  		if (false === $res) return false;
  		return fclose($fh);
  	}
+ 	
+ 	/**
+ 	 * Text to include as a comment before the start of the PO contents
+ 	 * 
+ 	 * Doesn't need to include # in the beginning of lines, these are added automatically
+ 	 */
+ 	function set_comment_before_headers( $text ) {
+ 		$this->comments_before_headers = $text;
+ 	}
  
  	/**
  	 * Formats a string in PO-style
***************
*** 106,115 ****
  		$po = str_replace("$newline$quote$quote", '', $po);
  		return $po;
  	}
! 
  	/**
  	 * Gives back the original string from a PO-formatted string
! 	 *
  	 * @static
  	 * @param string $string PO-formatted string
  	 * @return string enascaped string
--- 120,129 ----
  		$po = str_replace("$newline$quote$quote", '', $po);
  		return $po;
  	}
! 	
  	/**
  	 * Gives back the original string from a PO-formatted string
! 	 * 
  	 * @static
  	 * @param string $string PO-formatted string
  	 * @return string enascaped string
***************
*** 139,145 ****
  	}
  
  	/**
! 	 * Inserts $with in the beginning of every new line of $string and
  	 * returns the modified string
  	 *
  	 * @static
--- 153,159 ----
  	}
  
  	/**
! 	 * Inserts $with in the beginning of every new line of $string and 
  	 * returns the modified string
  	 *
  	 * @static
***************
*** 217,223 ****
  		PO::read_line($f, 'clear');
  		return $res !== false;
  	}
! 
  	function read_entry($f, $lineno = 0) {
  		$entry = new Translation_Entry();
  		// where were we in the last step
--- 231,237 ----
  		PO::read_line($f, 'clear');
  		return $res !== false;
  	}
! 	
  	function read_entry($f, $lineno = 0) {
  		$entry = new Translation_Entry();
  		// where were we in the last step
***************
*** 254,260 ****
  					return false;
  				}
  				// add comment
! 				$this->add_comment_to_entry($entry, $line);
  			} elseif (preg_match('/^msgctxt\s+(".*")/', $line, $m)) {
  				if ($is_final($context)) {
  					PO::read_line($f, 'put-back');
--- 268,274 ----
  					return false;
  				}
  				// add comment
! 				$this->add_comment_to_entry($entry, $line);;
  			} elseif (preg_match('/^msgctxt\s+(".*")/', $line, $m)) {
  				if ($is_final($context)) {
  					PO::read_line($f, 'put-back');
***************
*** 322,328 ****
  		}
  		return array('entry' => $entry, 'lineno' => $lineno);
  	}
! 
  	function read_line($f, $action = 'read') {
  		static $last_line = '';
  		static $use_last_line = false;
--- 336,342 ----
  		}
  		return array('entry' => $entry, 'lineno' => $lineno);
  	}
! 	
  	function read_line($f, $action = 'read') {
  		static $last_line = '';
  		static $use_last_line = false;
***************
*** 339,345 ****
  		$use_last_line = false;
  		return $line;
  	}
! 
  	function add_comment_to_entry(&$entry, $po_comment_line) {
  		$first_two = substr($po_comment_line, 0, 2);
  		$comment = trim(substr($po_comment_line, 2));
--- 353,359 ----
  		$use_last_line = false;
  		return $line;
  	}
! 	
  	function add_comment_to_entry(&$entry, $po_comment_line) {
  		$first_two = substr($po_comment_line, 0, 2);
  		$comment = trim(substr($po_comment_line, 2));
***************
*** 353,363 ****
  			$entry->translator_comments = trim($entry->translator_comments . "\n" . $comment);
  		}
  	}
! 
  	function trim_quotes($s) {
  		if ( substr($s, 0, 1) == '"') $s = substr($s, 1);
  		if ( substr($s, -1, 1) == '"') $s = substr($s, 0, -1);
  		return $s;
  	}
  }
! endif;
--- 367,377 ----
  			$entry->translator_comments = trim($entry->translator_comments . "\n" . $comment);
  		}
  	}
! 	
  	function trim_quotes($s) {
  		if ( substr($s, 0, 1) == '"') $s = substr($s, 1);
  		if ( substr($s, -1, 1) == '"') $s = substr($s, 0, -1);
  		return $s;
  	}
  }
! endif;
\ No newline at end of file
